import DowntownCamperIcon from './DowntownCamper'
import GrandHotelOsloLogoIcon from './GrandHotelOslo'
import HaymarketIcon from './Haymarket'
import HotelNorgeIcon from './HotelNorge'
import MarskiLogoIcon from './Marski'
import ScandicGoLogoIcon from './ScandicGoLogo'
import ScandicLogoIcon from './ScandicLogo'

type HotelLogoProps = {
  hotelId: string
  hotelType: string
}

enum HotelTypeEnum {
  Signature = 'signature',
  ScandicGo = 'scandicgo',
  Regular = 'regular',
}

enum SignatureHotelEnum {
  DowntownCamper = '879',
  GrandHotelOslo = '340',
  Haymarket = '890',
  HotelNorge = '785',
  Marski = '605',
}

export default function HotelLogoIcon({ hotelId, hotelType }: HotelLogoProps) {
  if (hotelType === HotelTypeEnum.ScandicGo) {
    return <ScandicGoLogoIcon />
  }

  switch (hotelId) {
    case SignatureHotelEnum.Haymarket:
      return <HaymarketIcon />
    case SignatureHotelEnum.HotelNorge:
      return <HotelNorgeIcon />
    case SignatureHotelEnum.DowntownCamper:
      return <DowntownCamperIcon />
    case SignatureHotelEnum.GrandHotelOslo:
      return <GrandHotelOsloLogoIcon />
    case SignatureHotelEnum.Marski:
      return <MarskiLogoIcon />
    default:
      return <ScandicLogoIcon color="Icon/Interactive/Accent" />
  }
}
